Bug 217630 - naming-factory-dbcp.jar missing causes JNDI errors
naming-factory-dbcp.jar missing causes JNDI errors
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tomcat5 (Show other bugs)
5.0
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: David Knox
qe-baseos-daemons
:
Depends On:
Blocks: 502912
  Show dependency treegraph
 
Reported: 2006-11-28 19:43 EST by Nathan Robertson
Modified: 2015-11-01 19:15 EST (History)
12 users (show)

See Also:
Fixed In Version: tomcat5-5.5.23-0jpp.12.el5_5, tomcat5-5.5.23-0jpp.15.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 19:07:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan Robertson 2006-11-28 19:43:04 EST
This but is the same as the following one marked against FC6. I wanted to open
this bug so that it gets noted as an issue in RHEL 5 beta as well.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=217141

Hopefully it can be fixed in time for the RHEL 5 release, otherwise quickly
addressed in a post-release patch. The problem will cause all JNDI based
database connection pooling lookup requests to fail, meaning that a large number
of applications which run in a Tomcat container that use a JDBC based database
will fail.

The FC6 bug lists a test case, and other details about the bug.

The workaround we are using at the moment is to copy naming-factory-dbcp.jar
from the official Tomcat release, and put it in common/lib.
Comment 1 David Huff 2007-10-19 16:27:29 EDT
It looks like the jakarta tomcat5 libraries are not being set as deps for
tomcat5.  On further review we have noticed that these packages are not included
in the RHEL5 base channel (same channel that tomcat5 is in) this does appear to
work in Fedora7.

missing packages are:
jakarta-commons-collection-tomcat5
jarkata-commons-dbcp-tomcat5
jakrata-commons-pool-tomcat5

Comment 3 Devrim GUNDUZ 2008-01-05 08:13:14 EST
FYI: This is fixed in Fedora packages already. I think this bug can be closed.
Comment 4 David Huff 2008-01-07 08:21:28 EST
However this bug is opened against RHEL5 we need to get this fix included in the
version of Tomcat5 in RHEl5.

Comment 5 RHEL Product and Program Management 2008-01-07 08:25:15 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 RHEL Product and Program Management 2008-03-11 15:46:38 EDT
This request was previously evaluated by Red Hat Product Management
for inclusion in the current Red Hat Enterprise Linux release, but
Red Hat was unable to resolve it in time.  This request will be
reviewed for a future Red Hat Enterprise Linux release.
Comment 7 Joshua Daniel Franklin 2008-11-14 16:38:58 EST
OK this just bit me. A workaround for right now is to download Tomcat 5.5 from tomcat.apache.org and extract naming-factory-dbcp.jar, or here is a quick fix:

wget https://staff.washington.edu/joshuadf/java/naming-factory-dbcp.jar -O /var/lib/tomcat5/common/lib/naming-factory-dbcp.jar 
service tomcat restart

I'd of course love to see this fixed in the next release of EL5.
Comment 8 Nathan Robertson 2008-11-14 20:56:23 EST
Why this hasn't been fixed is beyond me given how simple the fix is, and the severity of the issue it causes (no database applications which use JNDI / JDBC will work). I reported it *2 years ago* against the *public beta* version of RHEL 5. It's such a simple problem - it still amazes me that this wasn't fixed for the initial RHEL 5 release.

Now that RHEL 5.3 beta is apparently out, how about you guys get around to fixing this one before 5.3 actually ships?
Comment 9 Joshua Daniel Franklin 2008-11-17 14:12:38 EST
From mailing lists, it sounds like this is unfortunately the normal case. Bugzilla is honestly full of crap so I understand that it takes a long time to wade through, and it is mainly Fedora contributors who do so (this bug was long ago fixed in Fedora, so the good new is that EL6 will already be fixed). If you are a paying customer you should report this via those channels. We are an EDU so we are not paying for support. I am frustrated with how slowly some trivial fixes take, but Red Hat does have some amazing engineers that solve puzzlers like bug 426050 once they get around to it.
Comment 11 Nik Lam 2010-01-25 00:22:16 EST
Can anyone provide an update on the status of this bug?
Comment 21 David Knox 2010-12-07 18:13:58 EST
A solution has been tested and is being applied

Configure avax.sql.DataSource.Factory in tomcat5.conf

cvs diff -u tomcat5-5.5.conf
Index: tomcat5-5.5.conf
===================================================================
RCS file: /cvs/dist/rpms/tomcat5/RHEL-5/tomcat5-5.5.conf,v
retrieving revision 1.4
diff -u -r1.4 tomcat5-5.5.conf
--- tomcat5-5.5.conf	2 May 2007 15:37:16 -0000	1.4
+++ tomcat5-5.5.conf	7 Dec 2010 23:09:39 -0000
@@ -26,6 +26,11 @@
 # for ExtensionValidator to be functional. 
 JAVA_OPTS="$JAVA_OPTS -Dcatalina.ext.dirs=$CATALINA_HOME/shared/lib:$CATALINA_HOME/common/lib"
 
+#rhbz 217630, 217141 - naming-factory-dbcp.jar missing
+# the real problem is a cnfe that is solved by configuring 
+# the -Djavax.sql.DataSource
+JAVA_OPTS="${JAVA_OPTS} -Djavax.sql.DataSource.Factory=org.apache.commons.dbcp.BasicDataSourceFactory"
+
 # What user should run tomcat
 TOMCAT_USER="tomcat"
Comment 26 errata-xmlrpc 2011-01-13 19:07:12 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0138.html

Note You need to log in before you can comment on or make changes to this bug.